use Test::More tests => 4;
use Test::NoWarnings;
use Test::Exception;

{
    package MooseX::Foo;

    use strict;
    use warnings;

    use Moose::Exporter;
    use MooseX::ClassAttribute ();

    Moose::Exporter->setup_import_methods(
        also => [ 'MooseX::ClassAttribute' ],
    );
}

{
    package MyClass;

    use Moose;
    MooseX::Foo->import;
    &MyClass::class_has ( attr => ( is => 'ro' ) );
    
};


package main;

ok(MyClass->can('has'));
ok(MyClass->can('class_has'));
ok(Moose::Util::does_role(MyClass->meta, 'MooseX::ClassAttribute::Trait::Class'),
    'metaclass gets MX:CA metaclass trait');

